namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
	using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
	using Eco.Gameplay.Objects;
    
    [Serialized]
    [Weight(100)]                                          
    public partial class PastaItem :
        FoodItem            
    {
        public override LocString DisplayName                     { get { return Localizer.DoStr("Pasta Dough"); } }
        public override LocString DisplayDescription                      { get { return Localizer.DoStr("A classic Italian ingredient made from flour."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 10, Fat = 5, Protein = 0, Vitamins = 0};
        public override float Calories                          { get { return 60; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CulinaryArtsSkill), 1)]    
    public partial class PastaRecipe : Recipe
    {
        public PastaRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<PastaItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<FlourItem>(typeof(CulinaryArtsEfficiencySkill), 20, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(PastaRecipe), Item.Get<PastaItem>().UILink(), 5, typeof(CulinaryArtsSpeedSkill)); 
            this.Initialize(Localizer.DoStr("Pasta Dough"), typeof(PastaRecipe));
            CraftingComponent.AddRecipe(typeof(KitchenObject), this);
        }
    }
}