namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
	using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
	using Eco.Gameplay.Objects;
    
    [Serialized]
    [Weight(100)]                                          
    public partial class RavioliItem :
        FoodItem            
    {
        public override LocString DisplayName                    { get { return Localizer.DoStr("Ravioli"); } }
        public override LocString DisplayDescription                      { get { return Localizer.DoStr("A meat and cheese pocket of pasta!"); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 25, Fat = 4, Protein = 5, Vitamins = 2};
        public override float Calories                          { get { return 600; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CulinaryArtsSkill), 3)]    
    public partial class RavioliRecipe : Recipe
    {
        public RavioliRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<RavioliItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<PastaItem>(typeof(CulinaryArtsEfficiencySkill), 15, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
		new CraftingElement<TomatoItem>(typeof(CulinaryArtsEfficiencySkill), 20, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
		new CraftingElement<ScrapMeatItem>(typeof(CulinaryArtsEfficiencySkill), 10, CulinaryArtsEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(RavioliRecipe), Item.Get<RavioliItem>().UILink(), 6, typeof(CulinaryArtsSpeedSkill)); 
            this.Initialize(Localizer.DoStr("Ravioli"), typeof(RavioliRecipe));
            CraftingComponent.AddRecipe(typeof(KitchenObject), this);
        }
    }
}